> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update your team member profile

> Update your own team member profile. `user_id` must be `me` in the path parameters on the client.



## OpenAPI

````yaml /openapi/client.json patch /team-member-profiles/{team_id}/{user_id}
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /team-member-profiles/{team_id}/{user_id}:
    patch:
      tags:
        - Teams
      summary: Update your team member profile
      description: >-
        Update your own team member profile. `user_id` must be `me` in the path
        parameters on the client.
      parameters:
        - name: team_id
          in: path
          schema:
            type: string
          required: true
        - name: user_id
          in: path
          schema:
            type: string
            example: 3241a285-8329-4d69-8f3d-316e08cf140c
            description: >-
              The ID of the user, or the special value `me` for the currently
              authenticated user
          description: >-
            The ID of the user, or the special value `me` for the currently
            authenticated user
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                display_name:
                  type: string
                  example: John Doe
                  description: >-
                    Human-readable team member display name. This is not a
                    unique identifier. Note that this is separate from the
                    display_name of the user.
                profile_image_url:
                  type: string
                  example: https://example.com/image.jpg
                  description: >-
                    URL of the profile image for team member. Can be a Base64
                    encoded image. Must be smaller than 100KB. Please compress
                    and crop to a square before passing in.
              example:
                display_name: John Doe
                profile_image_url: https://example.com/image.jpg
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  team_id:
                    type: string
                    example: ad962777-8244-496a-b6a2-e0c6a449c79e
                    description: The unique identifier of the team
                  user_id:
                    type: string
                    example: 3241a285-8329-4d69-8f3d-316e08cf140c
                    description: The unique identifier of the user
                  display_name:
                    type: string
                    example: John Doe
                    description: >-
                      Human-readable team member display name. This is not a
                      unique identifier. Note that this is separate from the
                      display_name of the user.
                  profile_image_url:
                    type: string
                    example: https://example.com/image.jpg
                    description: >-
                      URL of the profile image for team member. Can be a Base64
                      encoded image. Must be smaller than 100KB. Please compress
                      and crop to a square before passing in.
                required:
                  - team_id
                  - user_id

````